%define upstream_name    Net-Twitter
%define upstream_version 4.01020

%{?perl_default_filter}

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 3

Summary:    A perl interface to the Twitter API
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        http://search.cpan.org/dist/%{upstream_name}
Source0:    http://www.cpan.org/modules/by-module/Net/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(Carp)
BuildRequires: perl(Carp::Clan)
BuildRequires: perl(Class::Load)
BuildRequires: perl(Data::Visitor::Callback)
BuildRequires: perl(DateTime)
BuildRequires: perl(DateTime::Format::Strptime)
BuildRequires: perl(Devel::StackTrace)
BuildRequires: perl(Digest::SHA)
BuildRequires: perl(Encode)
BuildRequires: perl(File::Spec)
BuildRequires: perl(HTML::Entities)
BuildRequires: perl(HTTP::Request::Common)
BuildRequires: perl(HTTP::Response)
BuildRequires: perl(IO::Handle)
BuildRequires: perl(IO::Socket::SSL) >= 2.5.0
BuildRequires: perl(IPC::Open3)
BuildRequires: perl(JSON::MaybeXS)
BuildRequires: perl(LWP::Protocol::https)
BuildRequires: perl(LWP::UserAgent) >= 5.819.0
BuildRequires: perl(List::Util)
BuildRequires: perl(Module::Build) >= 0.280.0
BuildRequires: perl(Moose)
BuildRequires: perl(Moose::Exporter)
BuildRequires: perl(Moose::Meta::Method)
BuildRequires: perl(Moose::Role)
BuildRequires: perl(MooseX::Role::Parameterized)
BuildRequires: perl(Net::HTTP)
BuildRequires: perl(Net::Netrc)
BuildRequires: perl(Net::OAuth)
BuildRequires: perl(Net::OAuth::Message)
BuildRequires: perl(Scalar::Util)
BuildRequires: perl(Test::Fatal)
BuildRequires: perl(Test::More) >= 0.880.0
BuildRequires: perl(Test::Simple) >= 0.980.0
BuildRequires: perl(Test::Warn)
BuildRequires: perl(Time::HiRes)
BuildRequires: perl(Try::Tiny)
BuildRequires: perl(URI)
BuildRequires: perl(URI::Escape)
BuildRequires: perl(base)
BuildRequires: perl(blib) >= 1.10.0
BuildRequires: perl(lib)
BuildRequires: perl(namespace::autoclean)
BuildRequires: perl(overload)
BuildRequires: perl(strict)
BuildRequires: perl(utf8)
BuildRequires: perl(warnings)
BuildArch:  noarch

%description
This module provides a perl interface to the Twitter APIs. See
<http://dev.twitter.com/doc> for a full description of the Twitter
APIs.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%__perl Build.PL --installdirs=vendor
./Build


%install
./Build install --destdir=%{buildroot}

%files
%doc Changes LICENSE META.yml MYMETA.yml README examples
%{_mandir}/man3/*
%{perl_vendorlib}/*

%changelog
* Wed Jul 12 2017 bb2 <bb2> - 4.10.200-3pclos2017
- rebuild against updates

